## python2.3-libplot 1.0.2-2

=== Makefile ===

PYTHON		= /usr/bin/python2.3
pyprefix	= $(shell $(PYTHON) -c 'import sys; print sys.prefix')
pyversion	= $(shell $(PYTHON) -c 'import sys; print sys.version[:3]')
pysitepkgs	= $(pyprefix)/lib/python$(pyversion)/site-packages/

PL_VER		= 4.1
TARGETS		= libplot.py libplot.pyc _libplot.so

CC		= gcc
CFLAGS		= -Wall -fPIC
CPPFLAGS	= -I$(pyprefix)/include/python$(pyversion) -I/usr/local/include
LDFLAGS		= -L/usr/local/lib -lplot -L/usr/X11R6/lib \
		  -lXaw -lXmu -lXt -lSM -lICE -lXext -lX11 -lm
SWIG		= /usr/bin/swig
SWIGFLAGS	= -dnone -python

.PHONY: all install uninstall clean

all: $(TARGETS)

install: $(TARGETS)
	[ -d $(pysitepkgs) ] && mv $^ $(pysitepkgs)

uninstall:
	cd $(pysitepkgs) && rm $(TARGETS)

clean:
	-rm *.o *.so *.pyc _* $(TARGETS)

_libplot.i libplot.py: plot-$(PL_VER).h make_interfaces.py
	./make_interfaces.py $(PL_VER)

libplot.pyc: libplot.py
	$(PYTHON) -c "import py_compile; py_compile.compile('$<')"

_libplot_wrap.c: _libplot.i
	$(SWIG) $(SWIGFLAGS) $<

_libplot.o: _libplot_wrap.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

_libplot.so: _libplot.o
	$(CC) -shared -o $@ $^ $(LDFLAGS)

=== debian/changelog ===
python2.3-libplot (1.0.2-2) unstable; urgency=low

  * now depends on libplot2
  * new standards (3.5.8)

 -- Rogerio Reis <rvr@debian.org>  Sun,  2 Mar 2003 12:15:21 +0000

python2.3-libplot (1.0.2-1) unstable; urgency=low

  * Initial package.

 -- Rogerio Reis <rvr@debian.org>  Tue, 24 Sep 2002 19:20:05 +0100

=== debian/control ===
Source: python2.3-libplot
Section: interpreters
Priority: optional
Maintainer: Rogerio Reis <rvr@debian.org>
Build-Depends:  libxaw7-dev, python2.3-dev, swig, libplot-dev
Standards-Version: 3.5.8

Package: python2.3-libplot
Section: interpreters
Priority: optional
Architecture: any
Depends: python2.3, plotutils (>> 2.4.1), ${shlibs:Depends}
Description: Python wrapper for GNU libplot
 This is a Python wrapper for the libplot library included in the GNU
 plotutils package.

=== debian/rules ===
#!/usr/bin/make -f
export TMPROOT=`pwd`/debian/tmp
export DOCDIR=$(TMPROOT)/usr/share/doc/python2.3-libplot
export LIBDIR=$(TMPROOT)/usr/lib/python2.3/site-packages

PYVERSION = 2.3
PYTHON = /usr/bin/python$(PYVERSION)
EMPTY = ""

build: 
	$(MAKE) all PYTHON=$(PYTHON) SWIG=/usr/bin/swig pyversion=$(PYVERSION) pysitepkgs=$(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/

clean:
	$(MAKE) clean
	rm -rf debian/tmp debian/files
	rm -f debian/*~
	rm -f debian/substvars

install: build
	rm -rf debian/tmp defian/files
	mkdir -p $(DOCDIR)
	mkdir -p $(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages
	$(MAKE) install pyversion=1.5 pysitepkgs=$(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/

binary-indep:

binary-arch: install
	cp debian/copyright $(DOCDIR)
	cp debian/changelog $(DOCDIR)/changelog.Debian
	gzip -9 $(DOCDIR)/changelog.Debian
	chmod 644 $(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/*
	chown -R root.root $(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip --remove-section=.note --remove-section=.comment $(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/_libplot.so
endif
	chmod 644 $(DOCDIR)/*
	chown -R root.root $(DOCDIR)/*
	mkdir $(TMPROOT)/DEBIAN
	cp debian/python-libplot.postinst $(TMPROOT)/DEBIAN/postinst
	cp debian/python-libplot.prerm $(TMPROOT)/DEBIAN/prerm
	chmod 755 $(TMPROOT)/DEBIAN/prerm
	chmod 755 $(TMPROOT)/DEBIAN/postinst
	dpkg-shlibdeps $(TMPROOT)/usr/lib/python$(PYVERSION)/site-packages/_libplot.so
	dpkg-gencontrol -isp
	(cd $(TMPROOT) ; md5sum usr/lib/python$(PYVERSION)/site-packages/* > DEBIAN/md5sums ; md5sum usr/share/doc/python2.3-libplot/* >> DEBIAN/md5sums )
	dpkg-deb --build debian/tmp ..

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
